/*
 *  LibRoadnav
 *  MapControlDataImporter.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Provides an interface and some basic tile-layer importer functionality
///
//////////////////////////////////////////////////////////////////////////////

#ifndef MAPCONTROLDATAIMPORTER_H
#define MAPCONTROLDATAIMPORTER_H

#include <wx/datetime.h>

#include <map>
#include <vector>

#include "MapControlDataEntry_Std.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Generic file importer functionality. 
///
/// Derived classes load data into this class, and then a MapControlData 
/// derived class saves the MapControlDataImporter data into some other 
/// format. This class is essentially an intermediate format between the
/// import format and the Roadnav format.
///
//////////////////////////////////////////////////////////////////////////////
class MapControlDataImporter
{
	public: // public functions
		virtual ~MapControlDataImporter();

		virtual IMapControlDataEntry * GetRecord(wxUint32 iIndex) = 0;
		virtual int Count() = 0;

	protected:

	private:
};

#endif
